Get a portal details
GET
Get the details of a portal in the account
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
portal_slug*stringThe slug of the portal. The numeric portal ID is not accepted.
Success
application/json- response
id?integerThe ID of the portal
archived?booleanWhether the portal is archived
color?stringThe color code for the portal
config?Configuration settings for the portal
custom_domain?stringCustom domain for the portal
header_text?stringThe header text for the portal
homepage_link?stringHomepage link for the portal
name?stringName of the portal
slug?stringURL slug for the portal
page_title?stringPage title for the portal
account_id?integerID of the account the portal belongs to
inbox?logo?meta?curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals/handbook'Example Response
{ "id": 123, "archived": false, "color": "#1F93FF", "config": { "allowed_locales": [ { "code": "en", "articles_count": 32, "categories_count": 9 } ] }, "custom_domain": "chatwoot.help", "header_text": "Handbook", "homepage_link": "https://www.chatwoot.com", "name": "Handbook", "slug": "handbook", "page_title": "Handbook", "account_id": 123, "inbox": { "id": 123, "name": "Chatwoot", "website_url": "chatwoot.com", "channel_type": "Channel::WebWidget", "avatar_url": "https://example.com/avatar.png", "widget_color": "#1F93FF", "website_token": "4cWzuf9i9jxN9tbnv8K9STKU", "enable_auto_assignment": true, "web_widget_script": "<script>...</script>", "welcome_title": "Hi there ! 🙌🏼", "welcome_tagline": "We make it simple to connect with us.", "greeting_enabled": true, "greeting_message": "Hey there 👋, Thank you for reaching out to us.", "channel_id": 123, "working_hours_enabled": true, "enable_email_collect": true, "csat_survey_enabled": true, "timezone": "America/Los_Angeles", "business_name": "Chatwoot", "hmac_mandatory": true }, "logo": { "id": 123, "portal_id": 123, "file_type": "image/png", "account_id": 123, "file_url": "https://example.com/logo.png", "blob_id": 123, "filename": "square.png" }, "meta": { "all_articles_count": 32, "categories_count": 9, "default_locale": "en" }}